---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

--available buttontypes:
--f: rangedDPS, h: healer, t: tank, n:melee, b,x,y,z: boss
--empty captions are not "" please use " " or you will get exceptions!

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_ICC = LibStub("AceAddon-3.0"):NewAddon("BT_ICC","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_ICC")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BabbleZone["Icecrown Citadel"], --instance name
		["version"] = 4, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_ICC", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "3.3.2", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
			["mode25"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Lord Marrowgar"],
                    ["ratext"] = L["ra-Lord Marrowgar"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Lord Marrowgar"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Lord Marrowgar"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_marrowgar",
                            ["btnId"] = 25, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
								{
                                    ["y"] = -159.6154544701643,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 245.0000041982153,
                                }, -- [1]
                                {
                                    ["y"] = -210.5768810389896,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 221.3461783455292,
                                }, -- [2]
                                {
                                    ["y"] = -198.0769151208647,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 258.2691930763033,
                                }, -- [3]
                                {
                                    ["y"] = -365.3845601090926,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 252.8846909789131,
                                }, -- [4]
                                {
                                    ["y"] = -432.6924386707535,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 204.2307769637057,
                                }, -- [5]
                                {
                                    ["y"] = -160.5768024178667,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 257.4999701163402,
                                }, -- [6]
                                {
                                    ["y"] = -160.5769392033543,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 270.0000141976008,
                                }, -- [7]
                                {
                                    ["y"] = -223.0768078755466,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 237.6922786042537,
                                }, -- [8]
                                {
                                    ["y"] = -231.7309521056149,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 254.0383593221943,
                                }, -- [9]
                                {
                                    ["y"] = -225.0000704536859,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 274.230769788574,
                                }, -- [10]
                                {
                                    ["y"] = -210.5769592021254,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 290.5769872920023,
                                }, -- [11]
                                {
                                    ["y"] = -396.1535957523221,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 226.9231180832018,
                                }, -- [12]
                                {
                                    ["y"] = -399.0383626044354,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 274.038547096915,
                                }, -- [13]
                                {
                                    ["y"] = -353.8461961688614,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 426.9230612927984,
                                }, -- [14]
                                {
                                    ["y"] = -438.4615033961654,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 250.3845649179573,
                                }, -- [15]
                                {
                                    ["y"] = -434.6152908924299,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 302.307730250164,
                                }, -- [16]
                                {
                                    ["y"] = -337.4999786654332,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 47.49999652693098,
                                }, -- [17]
                                {
                                    ["y"] = -342.3076759023587,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 126.9230194633078,
                                }, -- [18]
                                {
                                    ["y"] = -307.6921541844184,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 84.61540493122369,
                                }, -- [19]
                                {
                                    ["y"] = -372.1153831386697,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 67.69232394497895,
                                }, -- [20]
                                {
                                    ["y"] = -399.0385189307069,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 97.50002141089803,
                                }, -- [21]
                                {
                                    ["y"] = -391.3462111679397,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 439.8077070836487,
                                }, -- [22]
                                {
                                    ["y"] = -374.0385870944572,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 474.4231506384531,
                                }, -- [23]
                                {
                                    ["y"] = -398.0769169528132,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 403.269333144032,
                                }, -- [24]
                            },
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Marrowgar"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_marrowgar",
                            ["btnId"] = 19, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
								{
                                    ["y"] = -380.7693319608986,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 394.8077437989498,
                                }, -- [1]
                                {
                                    ["y"] = -151.9231955593569,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 286.3461926194612,
                                }, -- [2]
                                {
                                    ["y"] = -194.2306439947774,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 289.6154634772444,
                                }, -- [3]
                                {
                                    ["y"] = -477.8846441878953,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 223.0769055794663,
                                }, -- [4]
                                {
                                    ["y"] = -437.5000577445432,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 235.9615513703166,
                                }, -- [5]
                                {
                                    ["y"] = -363.4616297242803,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 197.1154108468907,
                                }, -- [6]
                                {
                                    ["y"] = -451.923071292184,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 202.3075730079182,
                                }, -- [7]
                                {
                                    ["y"] = -475.9613229874042,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 269.6153734064433,
                                }, -- [8]
                                {
                                    ["y"] = -409.6153199746123,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 135.9615699951262,
                                }, -- [9]
                                {
                                    ["y"] = -393.2692197158877,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 201.9231276246002,
                                }, -- [10]
                                {
                                    ["y"] = -384.6154272199304,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 174.999972291779,
                                }, -- [11]
                                {
                                    ["y"] = -264.4232698677677,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 167.3076449882278,
                                }, -- [12]
                                {
                                    ["y"] = -282.6923786744403,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 139.4230830853524,
                                }, -- [13]
                                {
                                    ["y"] = -372.1153831386697,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 135.9615504543423,
                                }, -- [14]
                                {
                                    ["y"] = -355.7693219615131,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 158.0769499278861,
                                }, -- [15]
                                {
                                    ["y"] = -238.4615015642169,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 155.1922905500845,
                                }, -- [16]
                                {
                                    ["y"] = -252.8846323565613,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 121.5384392027818,
                                }, -- [17]
                                {
                                    ["y"] = -217.3075868238631,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 127.3076993360332,
                                }, -- [18]
                            },
							["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },

                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Marrowgar"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Lady Deathwhisper"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Lady Deathwhisper"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Lady Deathwhisper"],} }, --optional
                    ["ratext"] = L["ra-Lady Deathwhisper"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_deathwhisper",
                            ["btnId"] = 23,
                            ["buttons"] = {
                            	{
                                    ["y"] = -270.1923345931796,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 364.6153566899133,
                                }, -- [1]
                                {
                                    ["y"] = -232.6923391348852,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 249.4231192663352,
                                }, -- [2]
                                {
                                    ["y"] = -283.6540001931179,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 237.4999972902429,
                                }, -- [3]
                                {
                                    ["y"] = -299.0382444437575,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 122.8846428902651,
                                }, -- [4]
                                {
                                    ["y"] = -136.5385018706866,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 251.5383895875101,
                                }, -- [5]
                                {
                                    ["y"] = -181.7306194543007,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 47.50000629732295,
                                }, -- [6]
                                {
                                    ["y"] = -249.038380771258,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 24.23079192461837,
                                }, -- [7]
                                {
                                    ["y"] = -361.5382694422213,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 17.69230883140387,
                                }, -- [8]
                                {
                                    ["y"] = -246.1538679493359,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 482.1154193196525,
                                }, -- [9]
                                {
                                    ["y"] = -177.8845241952689,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 463.6539901174012,
                                }, -- [10]
                                {
                                    ["y"] = -348.07693603561,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 492.5000953758185,
                                }, -- [11]
                                {
                                    ["y"] = -296.1540247335946,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 408.4616320905471,
                                }, -- [12]
                                {
                                    ["y"] = -311.5384448512897,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 366.538482482565,
                                }, -- [13]
                                {
                                    ["y"] = -349.0383426056643,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 377.1155570974456,
                                }, -- [14]
                                {
                                    ["y"] = -267.3076263634181,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 150.1923119991481,
                                }, -- [15]
                                {
                                    ["y"] = -308.6538734070159,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 164.6153939395327,
                                }, -- [16]
                                {
                                    ["y"] = -347.11545130242,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 150.1923119991481,
                                }, -- [17]
                                {
                                    ["y"] = -230.7691547198817,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 215.7692581486405,
                                }, -- [18]
                                {
                                    ["y"] = -233.6538434088592,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 286.9230365614938,
                                }, -- [19]
                                {
                                    ["y"] = -281.7306594518428,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 270.1922955116117,
                                }, -- [20]
                                {
                                    ["y"] = -320.1921982656791,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 235.5769887422948,
                                }, -- [21]
                                {
                                    ["y"] = -323.0768283323048,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 272.1154213042634,
                                }, -- [22]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },

                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lady Deathwhisper"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Cult Fanatic"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Cult Adherent"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_deathwhisper",
                            ["btnId"] = 15,
                            ["buttons"] = {
                            	{
                                    ["y"] = -118.2693442120542,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 252.6923119609826,
                                }, -- [1]
                                {
                                    ["y"] = -166.3462384181735,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 227.1154189379966,
                                }, -- [2]
                                {
                                    ["y"] = -148.0769342036615,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 252.4999915654038,
                                }, -- [3]
                                {
                                    ["y"] = -245.192363675362,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 187.8845985418453,
                                }, -- [4]
                                {
                                    ["y"] = -247.1152549786063,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 228.8462047942855,
                                }, -- [5]
                                {
                                    ["y"] = -175.9616328920246,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 254.9999417593041,
                                }, -- [6]
                                {
                                    ["y"] = -164.4230344623861,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 279.0384474847156,
                                }, -- [7]
                                {
                                    ["y"] = -249.999865504448,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 259.6153186006509,
                                }, -- [8]
                                {
                                    ["y"] = -248.0767983341482,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 288.4615606445558,
                                }, -- [9]
                                {
                                    ["y"] = -272.1151672740721,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 208.0769503858732,
                                }, -- [10]
                                {
                                    ["y"] = -276.9231185411889,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 241.7307528812161,
                                }, -- [11]
                                {
                                    ["y"] = -277.8844469481074,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 278.2691659024006,
                                }, -- [12]
                                {
                                    ["y"] = -272.1153822226955,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 314.807676627505,
                                }, -- [13]
                                {
                                    ["y"] = -244.2306444527646,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 331.153952753285,
                                }, -- [14]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },

                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lady Deathwhisper"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [3] = {
                    ["name"] = BabbleBoss["Icecrown Gunship Battle"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Icecrown Gunship Battle"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Icecrown Gunship Battle"],} }, --optional
                    ["ratext"] = L["ra-Icecrown Gunship Battle"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_gunship",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -273.0769060374534,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 218.6538295929143,
                                }, -- [1]
                                {
                                    ["y"] = -294.2306644515356,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 113.8461021288387,
                                }, -- [2]
                                {
                                    ["y"] = -299.0381271990538,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 306.9229703060232,
                                }, -- [3]
                                {
                                    ["y"] = -260.5769010377607,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 313.6538324171683,
                                }, -- [4]
                                {
                                    ["y"] = -353.846313413565,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 110.9616576996604,
                                }, -- [5]
                                {
                                    ["y"] = -325.9615951844181,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 223.4615268298398,
                                }, -- [6]
                                {
                                    ["y"] = -380.7693710424665,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.5768967632142,
                                }, -- [7]
                                {
                                    ["y"] = -340.3844719465712,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 305.961544195185,
                                }, -- [8]
                                {
                                    ["y"] = -383.6538252420367,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 304.9999812988591,
                                }, -- [9]
                            },
                            ["legend"] = {
                               ["entries"] = {
                                    [1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Sharpshooter"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [2] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Artillery"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [3] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Canon"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                         [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_gunship",
                            ["btnId"] = 9,
                            ["buttons"] = {
                            	{
                                    ["y"] = -342.3074804945192,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 193.4615969018698,
                                }, -- [1]
                                {
                                    ["y"] = -279.8076704446788,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 206.7307466983899,
                                }, -- [2]
                                {
                                    ["y"] = -388.4615224789622,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 213.2692688731723,
                                }, -- [3]
                                {
                                    ["y"] = -365.3846773537962,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 204.4229801145808,
                                }, -- [4]
                                {
                                    ["y"] = -327.8845841915821,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 162.8845885424598,
                                }, -- [5]
                                {
                                    ["y"] = -373.0770241981313,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 316.346220251351,
                                }, -- [6]
                                {
                                    ["y"] = -331.7307185321818,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 369.0383740541135,
                                }, -- [7]
                                {
                                    ["y"] = -345.1921691834967,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 215.5768791307099,
                                }, -- [8]
                            },
                            ["legend"] = {
                               ["entries"] = {
                               		[1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Mage"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [2] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "b",
                                        ["caption"] = L["Captain"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                     [5] = {
                                        ["type"] = "h",
                                        ["caption"] =  L["healer/ranged DD"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                },
                            },
                        },
                    },
                },
                 [4] = {
                    ["name"] = BabbleBoss["Deathbringer Saurfang"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Deathbringer Saurfang"],} },
                    ["ratext"] = L["ra-Deathbringer Saurfang"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_saurfang",
                            ["btnId"] = 31,
                            ["buttons"] = {
                            	{
                                    ["y"] = -137.5000647670124,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 233.8461051820862,
                                }, -- [1]
                                {
                                    ["y"] = -193.269296047075,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 123.4615356842576,
                                }, -- [2]
                                {
                                    ["y"] = -267.3077631489057,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 129.8076788411094,
                                }, -- [3]
                                {
                                    ["y"] = -105.7692708196176,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 244.0384217611055,
                                }, -- [4]
                                {
                                    ["y"] = -121.1538765747601,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 257.3077474246812,
                                }, -- [5]
                                {
                                    ["y"] = -118.2693442120542,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 333.0768049749615,
                                }, -- [6]
                                {
                                    ["y"] = -105.7693392123614,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 270.0000141976008,
                                }, -- [7]
                                {
                                    ["y"] = -148.0769342036615,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 259.8077367001494,
                                }, -- [8]
                                {
                                    ["y"] = -137.5000647670124,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 280.9614951142315,
                                }, -- [9]
                                {
                                    ["y"] = -178.846008928459,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 305.1923798575737,
                                }, -- [10]
                                {
                                    ["y"] = -174.999991832563,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 218.6538686744822,
                                }, -- [11]
                                {
                                    ["y"] = -121.1538765747601,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 187.8846767049811,
                                }, -- [12]
                                {
                                    ["y"] = -289.4229476738262,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 220.1923341351925,
                                }, -- [13]
                                {
                                    ["y"] = -221.1538384091665,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 57.11542031195793,
                                }, -- [14]
                                {
                                    ["y"] = -293.2691601775616,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 48.46155942325682,
                                }, -- [15]
                                {
                                    ["y"] = -219.2307321572987,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 455.1923226091832,
                                }, -- [16]
                                {
                                    ["y"] = -277.8845251112432,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 297.1154899260008,
                                }, -- [17]
                                {
                                    ["y"] = -261.5384443933025,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 371.1538202423439,
                                }, -- [18]
                                {
                                    ["y"] = -357.6922523463253,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 169.2308098624474,
                                }, -- [19]
                                {
                                    ["y"] = -373.0768678718598,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 236.5385516386207,
                                }, -- [20]
                                {
                                    ["y"] = -367.3078031464479,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 313.4615120215895,
                                }, -- [21]
                                {
                                    ["y"] = -305.7691260956865,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 474.4230724753174,
                                }, -- [22]
                                {
                                    ["y"] = -344.2306844503067,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 411.9231256399893,
                                }, -- [23]
                                {
                                    ["y"] = -271.1537411632339,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 138.84619029136,
                                }, -- [24]
                                {
                                    ["y"] = -290.3844910293681,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 227.3076416296556,
                                }, -- [25]
                                {
                                    ["y"] = -280.7691551778689,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 306.1539036723316,
                                }, -- [26]
                                {
                                    ["y"] = -259.6154163045706,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 380.1924098557303,
                                }, -- [27]
                                {
                                    ["y"] = -360.5769410353028,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 175.3846130829365,
                                }, -- [28]
                                {
                                    ["y"] = -374.0385089313214,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 243.6538982146517,
                                }, -- [29]
                                {
                                    ["y"] = -368.2692487980701,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 321.5384019531624,
                                }, -- [30]
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Deathbringer Saurfang"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Blood Beast"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [5] = {
                    ["name"] = BabbleBoss["Festergut"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Festergut"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Festergut"],} }, --optional
                    ["ratext"] = L["ra-Festergut"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_rotface",
                            ["btnId"] = 17,
                            ["buttons"] = {
                            	{
                                    ["y"] = -334.6154853842951,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 110.9615795365247,
                                }, -- [1]
                                {
                                    ["y"] = -290.3846668964235,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 261.1538622244969,
                                }, -- [2]
                                {
                                    ["y"] = -269.2306349113661,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 252.6923705833344,
                                }, -- [3]
                                {
                                    ["y"] = -314.4229576732117,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 262.6923472259911,
                                }, -- [4]
                                {
                                    ["y"] = -312.4999686660476,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 251.9231476233712,
                                }, -- [5]
                                {
                                    ["y"] = -333.6537661616977,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 160.000017098186,
                                }, -- [6]
                                {
                                    ["y"] = -271.1538193263696,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 273.8461876197684,
                                }, -- [7]
                                {
                                    ["y"] = -451.9231494553197,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 159.0385421353879,
                                }, -- [8]
                                {
                                    ["y"] = -456.7306512844058,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 253.2692340661509,
                                }, -- [9]
                                {
                                    ["y"] = -391.3462111679397,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 226.3461959780334,
                                }, -- [10]
                                {
                                    ["y"] = -434.6154472187014,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 343.6539186714099,
                                }, -- [11]
                                {
                                    ["y"] = -362.5000277463866,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 337.8845803750228,
                                }, -- [12]
                                {
                                    ["y"] = -396.1537520785936,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 118.6539068400759,
                                }, -- [13]
                                {
                                    ["y"] = -369.2306944496922,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 418.6539095879986,
                                }, -- [14]
                                {
                                    ["y"] = -351.9231876209134,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 380.1925271004339,
                                }, -- [15]
                                {
                                    ["y"] = -298.0767401697835,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 281.153893672946,
                                }, -- [16]
                            },
                             ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Festergut"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Gas Spore"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [6] = {
                    ["name"] = BabbleBoss["Rotface"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Rotface"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Rotface"],} }, --optional
                    ["ratext"] = L["ra-Rotface"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_rotface",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
                                    ["y"] = -314.4229967547796,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 272.3076439959224,
                                }, -- [1]
                                {
                                    ["y"] = -306.7307085327963,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 247.5000325552514,
                                }, -- [2]
                                {
                                    ["y"] = -315.3844814879697,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 252.8846323565613,
                                }, -- [3]
                                {
                                    ["y"] = -268.2693651267995,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 259.423056827424,
                                }, -- [4]
                                {
                                    ["y"] = -293.2691015552098,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 259.2307755134131,
                                }, -- [5]
                                {
                                    ["y"] = -339.4231044580848,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 423.461645906492,
                                }, -- [6]
                                {
                                    ["y"] = -272.1154408450473,
                                    ["type"] = "t",
                                    ["caption"] = L["Cite-Tank"],
                                    ["x"] = 439.2307458969124,
                                }, -- [7]
                            },
                             ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Festergut"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Ooze"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [7] = {
                    ["name"] = BabbleBoss["Professor Putricide"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Professor Putricide"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Professor Putricide"],} }, --optional
                    ["ratext"] = L["ra-Professor Putricide"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_prof",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -299.9997291769475,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 380.192488018866,
                                }, -- [1]
                                {
                                    ["y"] = -269.2306153705822,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 77.50005835519268,
                                }, -- [2]
                                {
                                    ["y"] = -281.7306594518428,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 102.6923203574132,
                                }, -- [3]
                                {
                                    ["y"] = -241.3460143861389,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 65.57691683831642,
                                }, -- [4]
                                {
                                    ["y"] = -285.5764420583315,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 29.8076534991552,
                                }, -- [5]
                                {
                                    ["y"] = -374.0382353603462,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 16.73076669716098,
                                }, -- [6]
                                {
                                    ["y"] = -321.1536829988692,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 25.96153869933947,
                                }, -- [7]
                                {
                                    ["y"] = -317.3076268214052,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 77.88463075360636,
                                }, -- [8]
                                {
                                    ["y"] = -376.9229240493237,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 58.0769343563239,
                                }, -- [9]
                                {
                                    ["y"] = -353.8460007610219,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 43.65384264554736,
                                }, -- [10]
                                {
                                    ["y"] = -354.8075636573478,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 77.30768422245808,
                                }, -- [11]
                                {
                                    ["y"] = -258.6536970819732,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 49.23076284243602,
                                }, -- [12]
                                {
                                    ["y"] = -244.2305858304127,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 379.9998549707441,
                                }, -- [13]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 190,
                                    ["y"] = -17,
                                    ["text"] = L["Green Ooze"],
                                },

                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Professor Putricide"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Green Ooze"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Mutated Abomination"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_prof",
                            ["btnId"] = 17,
                            ["buttons"] = {
                            	{
                                    ["y"] = -248.0766420078766,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 195.3845663682499,
                                }, -- [1]
                                {
                                    ["y"] = -247.1153136009581,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 396.1538302417294,
                                }, -- [2]
                                {
                                    ["y"] = -198.0767197130253,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 371.5384610335014,
                                }, -- [3]
                                {
                                    ["y"] = -322.1153435991147,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 396.7307914284656,
                                }, -- [4]
                                {
                                    ["y"] = -298.0767401697835,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 379.99993313388,
                                }, -- [5]
                                {
                                    ["y"] = -325.9613020726589,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 427.6923819566813,
                                }, -- [6]
                                {
                                    ["y"] = -291.3460930072617,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 171.538420119985,
                                }, -- [7]
                                {
                                    ["y"] = -232.6919287784224,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 350.961468398316,
                                }, -- [8]
                                {
                                    ["y"] = -365.384403782821,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 333.6539224879692,
                                }, -- [9]
                                {
                                    ["y"] = -297.1151577326737,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 335.5769310359173,
                                }, -- [10]
                                {
                                    ["y"] = -342.307558657655,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 276.9230990004049,
                                }, -- [11]
                                {
                                    ["y"] = -324.9998955026046,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 371.3462188010584,
                                }, -- [12]
                                {
                                    ["y"] = -432.692243262914,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 310.9616009092571,
                                }, -- [13]
                                {
                                    ["y"] = -384.6150364042515,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 292.6923748578809,
                                }, -- [14]
                                {
                                    ["y"] = -330.7690774727202,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 315.7692199830469,
                                }, -- [15]
                                {
                                    ["y"] = -261.5382685262471,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 349.4230615599576,
                                }, -- [16]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 190,
                                    ["y"] = -17,
                                    ["text"] = L["Red Ooze"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Professor Putricide"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Red Ooze"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Mutated Abomination"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_prof",
                            ["btnId"] = 6,
                            ["buttons"] = {
                            	{
                                    ["y"] = -174.9998355062914,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 260.192299328171,
                                }, -- [1]
                                {
                                    ["y"] = -187.4999968322557,
                                    ["x"] = 337.5001349917047,
                                    ["caption"] = " ",
                                    ["type"] = "h",
                                }, -- [2]
                                {
                                    ["y"] = -171.1536620841239,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 282.8846599884511,
                                }, -- [3]
                                {
                                    ["y"] = -176.9230394620789,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 238.26923979099,
                                }, -- [4]
                                {
                                    ["y"] = -163.4614715660603,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 354.2306806337473,
                                }, -- [5]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Professor Putricide"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },

                 [8] = {
                    ["name"] = BabbleBoss["Blood Princes"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Blood Princes"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Blood Princes"],} }, --optional
                    ["ratext"] = L["ra-Blood Princes"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_princes1",
                            ["btnId"] = 13,
                            ["buttons"] = {
                            	{
                                    ["y"] = -487.4998823354748,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 492.3076186539682,
                                }, -- [1]
                                {
                                    ["y"] = -512.4998923348603,
                                    ["type"] = "t",
                                    ["caption"] = L["range-tank"],
                                    ["x"] = 21.92307419276907,
                                }, -- [2]
                                {
                                    ["y"] = -415.3846582709994,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 54.42309110012705,
                                }, -- [3]
                                {
                                    ["y"] = -433.6538452408077,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 259.0385137401862,
                                }, -- [4]
                                {
                                    ["y"] = -381.7306603678171,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 458.846175635772,
                                }, -- [5]
                                {
                                    ["y"] = -455.7690493065121,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 260.3846392645338,
                                }, -- [6]
                                {
                                    ["y"] = -362.499871420115,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 477.6923237923166,
                                }, -- [7]
                                {
                                    ["y"] = -530.769313794076,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 323.0769455770084,
                                }, -- [8]
                                {
                                    ["y"] = -530.7692747125082,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 73.07696282785676,
                                }, -- [9]
                                {
                                    ["y"] = -517.3076677349217,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 413.4616497230514,
                                }, -- [10]
                                {
                                    ["y"] = -529.8074773267749,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 157.6923091367286,
                                }, -- [11]
                                {
                                    ["y"] = -470.1921019357208,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 9.615351728386157,
                                }, -- [12]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Common Positions"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Prince Keleseth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Prince Valanar"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Prince Taldaram"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_princes2",
                            ["btnId"] = 21,
                            ["buttons"] = {
                            	{
                                    ["y"] = -265.3845396523344,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 233.846163804438,
                                }, -- [1]
                                {
                                    ["y"] = -288.4614629406361,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 434.2306891828403,
                                }, -- [2]
                                {
                                    ["y"] = -253.8460389266156,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 252.3077297921769,
                                }, -- [3]
                                {
                                    ["y"] = -302.8846132737645,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 101.1538744374869,
                                }, -- [4]
                                {
                                    ["y"] = -196.153808868997,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 154.2307178833667,
                                }, -- [5]
                                {
                                    ["y"] = -306.7307866959321,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 72.88456426914225,
                                }, -- [6]
                                {
                                    ["y"] = -139.4230928557444,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 244.2307812382522,
                                }, -- [7]
                                {
                                    ["y"] = -207.6922705131479,
                                    ["type"] = "t",
                                    ["caption"] = L["range-tank"],
                                    ["x"] = 436.3462916973423,
                                }, -- [8]
                                {
                                    ["y"] = -228.8461070903658,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 251.7308467685764,
                                }, -- [9]
                                {
                                    ["y"] = -275.9615361040791,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 255.9615632779818,
                                }, -- [10]
                                {
                                    ["y"] = -264.4231135414961,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 273.2692655146001,
                                }, -- [11]
                                {
                                    ["y"] = -157.6923091367286,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 194.230780780265,
                                }, -- [12]
                                {
                                    ["y"] = -248.0770523643394,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 33.65384890470471,
                                }, -- [13]
                                {
                                    ["y"] = -196.153808868997,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 490.3845319428845,
                                }, -- [14]
                                {
                                    ["y"] = -148.0769342036615,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 301.9230308366547,
                                }, -- [15]
                                {
                                    ["y"] = -185.576871039604,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 349.4230615599576,
                                }, -- [16]
                                {
                                    ["y"] = -165.3845973587119,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 324.4229538566523,
                                }, -- [17]
                                {
                                    ["y"] = -137.4999768334847,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 276.3462355175884,
                                }, -- [18]
                                {
                                    ["y"] = -176.9229612989431,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 170.5769353867949,
                                }, -- [19]
                                {
                                    ["y"] = -145.1924800040914,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 219.6153729484562,
                                }, -- [20]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Prince Valanar"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Prince Keleseth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Prince Valanar"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Prince Taldaram"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_princes2",
                            ["btnId"] = 17,
                            ["buttons"] = {
                            	{
                                    ["y"] = -288.4614629406361,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 441.9231141903112,
                                }, -- [1]
                                {
                                    ["y"] = -264.4229181336567,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 256.1538836735605,
                                }, -- [2]
                                {
                                    ["y"] = -307.6923886738258,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 94.42306117830164,
                                }, -- [3]
                                {
                                    ["y"] = -314.4231530810511,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 64.23076200279296,
                                }, -- [4]
                                {
                                    ["y"] = -211.538600261587,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 88.46151973103943,
                                }, -- [5]
                                {
                                    ["y"] = -191.3460920912875,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 125.3845735433815,
                                }, -- [6]
                                {
                                    ["y"] = -188.4615597285816,
                                    ["type"] = "t",
                                    ["caption"] = L["range-tank"],
                                    ["x"] = 381.5383008906705,
                                }, -- [7]
                                {
                                    ["y"] = -236.5385320978367,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 256.5384853831502,
                                }, -- [8]
                                {
                                    ["y"] = -213.4617260542387,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 117.3076738414166,
                                }, -- [9]
                                {
                                    ["y"] = -150.0000502259212,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 326.9232167030957,
                                }, -- [10]
                                {
                                    ["y"] = -193.2692178839392,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 100.961602893868,
                                }, -- [11]
                                {
                                    ["y"] = -175.961476565753,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 106.1538627588152,
                                }, -- [12]
                                {
                                    ["y"] = -185.5769492027398,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 75.38463659294219,
                                }, -- [13]
                                {
                                    ["y"] = -216.3461802538088,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 125.3846028545574,
                                }, -- [14]
                                {
									["y"] = -316.3461420882152,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 116.5384801926294,
                                }, -- [15]
                                {
                                    ["y"] = -295.1922273478614,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 118.4615375925373,
                                }, -- [16]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Prince Taldaram"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Prince Keleseth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Prince Valanar"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Prince Taldaram"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [9] = {
                    ["name"] = BabbleBoss["Blood-Queen Lana'thel"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Blood-Queen Lana'thel"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Blood-Queen Lana'thel"],} }, --optional
                    ["ratext"] = L["ra-Blood-Queen Lana'thel"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_bloodqueen",
                            ["btnId"] = 19,
                            ["buttons"] = {
                            	{
                                    ["y"] = -210.5769592021254,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 251.5385068322138,
                                }, -- [1]
                                {
                                    ["y"] = -184.6153276840622,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 250.7692447906827,
                                }, -- [2]
                                {
                                    ["y"] = -220.1922755128406,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 279.9999517586896,
                                }, -- [3]
                                {
                                    ["y"] = -280.7691551778689,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 193.2692569655071,
                                }, -- [4]
                                {
                                    ["y"] = -271.1537216224499,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 399.4230424771608,
                                }, -- [5]
                                {
                                    ["y"] = -225.9614379421723,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 225.1923517676967,
                                }, -- [6]
                                {
                                    ["y"] = -324.9997977986849,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 183.653862491656,
                                }, -- [7]
                                {
                                    ["y"] = -367.3076468201763,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 195.1922264318872,
                                }, -- [8]
                                {
                                    ["y"] = -368.2694442059095,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 320.1923545919507,
                                }, -- [9]
                                {
                                    ["y"] = -312.5001445331031,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 325.9615561028502,
                                }, -- [10]
                                {
                                    ["y"] = -263.4613943188987,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 307.6923495922579,
                                }, -- [11]
                                {
                                    ["y"] = -334.6152899764556,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 416.7309401216185,
                                }, -- [12]
                                {
                                    ["y"] = -399.9999255007612,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 410.0000389289055,
                                }, -- [13]
                                {
                                    ["y"] = -452.884556025374,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 331.1538355085813,
                                }, -- [14]
                                {
                                    ["y"] = -459.6153008918154,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 233.0769213036909,
                                }, -- [15]
                                {
                                    ["y"] = -427.8845460259885,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 136.9230547283163,
                                }, -- [16]
                                {
                                    ["y"] = -350.9613511536123,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 102.3076795662557,
                                }, -- [17]
                                {
                                    ["y"] = -289.4230258369619,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 105.1922510105295,
                                }, -- [18]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Blood-Queen Lana'thel"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_bloodqueen",
                            ["btnId"] = 23,
                            ["buttons"] = {
                            	{
                                    ["y"] = -164.4230344623861,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 252.6923119609826,
                                }, -- [1]
                                {
                                    ["y"] = -212.4999286685055,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 171.3461583467581,
                                }, -- [2]
                                {
                                    ["y"] = -281.7307962373305,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 194.230780780265,
                                }, -- [3]
                                {
                                    ["y"] = -278.8461270891369,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 94.61538157388038,
                                }, -- [4]
                                {
                                    ["y"] = -325.9615561028502,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 190.3846659804493,
                                }, -- [5]
                                {
                                    ["y"] = -370.1923745907217,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 209.6153767650156,
                                }, -- [6]
                                {
                                    ["y"] = -280.7692333410046,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 316.346220251351,
                                }, -- [7]
                                {
                                    ["y"] = -327.8845451100142,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 329.8077881473696,
                                }, -- [8]
                                {
                                    ["y"] = -377.8844869456495,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 327.8845451100142,
                                }, -- [9]
                                {
                                    ["y"] = -214.4230544611572,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 249.2307011668367,
                                }, -- [10]
                                {
                                    ["y"] = -220.1923536759764,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 328.0769436687288,
                                }, -- [11]
                                {
                                    ["y"] = -183.6537257061684,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 371.3462188010584,
                                }, -- [12]
                                {
                                    ["y"] = -183.6537257061684,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 126.1538453553045,
                                }, -- [13]
                                {
                                    ["y"] = -367.3078031464479,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 92.69232417397251,
                                }, -- [14]
                                {
                                    ["y"] = -458.6536207507859,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 116.7307810474242,
                                }, -- [15]
                                {
                                    ["y"] = -499.0383244388418,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 193.6538586750967,
                                }, -- [16]
                                {
                                    ["y"] = -446.1535375879574,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 269.6153734064433,
                                }, -- [17]
                                {
                                    ["y"] = -496.153713913,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 339.8078234123781,
                                }, -- [18]
                                {
                                    ["y"] = -449.0384216847743,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 420.5768399728108,
                                }, -- [19]
                                {
                                    ["y"] = -381.7307776125207,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 436.9231356393748,
                                }, -- [20]
                                {
                                    ["y"] = -314.4229967547796,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 435.0000098467232,
                                }, -- [21]
                                {
                                    ["y"] = -242.3075186601129,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 429.2307497134718,
                                }, -- [22]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Blood-Queen Lana'thel"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                 [10] = {
                    ["name"] = BabbleBoss["Valithria Dreamwalker"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Valithria Dreamwalker"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Valithria Dreamwalker"],} }, --optional
                    ["ratext"] = L["ra-Valithria Dreamwalker"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_dreamwalker",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
                                    ["y"] = -249.0384589343937,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 251.5385068322138,
                                }, -- [1]
                                {
                                    ["y"] = -189.4230444617716,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 203.8461557133321,
                                }, -- [2]
                                {
                                    ["y"] = -306.7309625629875,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 103.8461743381418,
                                }, -- [3]
                                {
                                    ["y"] = -383.6538252420367,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 170.1923141364214,
                                }, -- [4]
                                {
                                    ["y"] = -336.5382985244037,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 409.6153590561801,
                                }, -- [5]
                                {
                                    ["y"] = -219.2307907796506,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 380.7692147161949,
                                }, -- [6]
                                {
                                    ["y"] = -218.2692278833247,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 121.1538570339762,
                                }, -- [7]
                            },
                            ["legend"] = {
                               ["entries"] = {
                               		[1] = {
                                        ["type"] = "h",
                                        ["caption"] = L["portal"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Valithria Dreamwalker"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_dreamwalker",
                            ["btnId"] = 20,
                            ["buttons"] = {
                            	{
                                    ["y"] = -211.5384439353154,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 105.576891801687,
                                }, -- [1]
                                {
                                    ["y"] = -264.4229572152246,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 177.3076802532364,
                                }, -- [2]
                                {
                                    ["y"] = -180.7691347211107,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 115.5769759186554,
                                }, -- [3]
                                {
                                    ["y"] = -251.9229131339639,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 250.576924395104,
                                }, -- [4]
                                {
                                    ["y"] = -211.5383462313957,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 226.9230790016339,
                                }, -- [5]
                                {
                                    ["y"] = -191.3460920912875,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 384.4231068243516,
                                }, -- [6]
                                {
                                    ["y"] = -199.0384389356227,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 135.7692300587636,
                                }, -- [7]
                                {
                                    ["y"] = -224.0384489350082,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 135.7692105179796,
                                }, -- [8]
                                {
                                    ["y"] = -153.8460770922092,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 405.9617405189986,
                                }, -- [9]
                                {
                                    ["y"] = -157.6922407439848,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 365.5769586678071,
                                }, -- [10]
                                {
                                    ["y"] = -194.2306830763453,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 348.2692564311888,
                                }, -- [11]
                                {
                                    ["y"] = -203.8460970909803,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 274.038547096915,
                                }, -- [12]
                                {
                                    ["y"] = -227.8844660309042,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 190.7692872308228,
                                }, -- [13]
                                {
                                    ["y"] = -226.9231376239857,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 314.807676627505,
                                }, -- [14]
                                {
                                    ["y"] = -262.5000268304123,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 322.4999843902722,
                                }, -- [15]
                                {
                                    ["y"] = -299.9999832071388,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 192.6923544011227,
                                }, -- [16]
                                {
                                    ["y"] = -312.4999686660476,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 236.9230947258585,
                                }, -- [17]
                                {
                                    ["y"] = -299.9998855032191,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 290.7692881467971,
                                }, -- [18]
                                {
                                    ["y"] = -203.8460189278445,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 254.2307578809088,
                                }, -- [19]
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Valithria Dreamwalker"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                 [11] = {
                    ["name"] = BabbleBoss["Sindragosa"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Sindragosa"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Sindragosa"],} }, --optional
                    ["ratext"] = L["ra-Sindragosa"],
                    ["imgdata"] = {
                       [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_sindragosa1",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -223.0769642018181,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 256.9231261743076,
                                }, -- [1]
                                {
                                    ["y"] = -283.653609377439,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 253.2692340661509,
                                }, -- [2]
                                {
                                    ["y"] = -270.1922759708277,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 257.6923100527029,
                                }, -- [3]
                                {
                                    ["y"] = -197.1152349798352,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 352.6921565506852,
                                }, -- [4]
                                {
                                    ["y"] = -198.0769346616487,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 256.3461649875714,
                                }, -- [5]
                                {
                                    ["y"] = -196.153808868997,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 299.615459660685,
                                }, -- [6]
                                {
                                    ["y"] = -273.0768083335337,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 242.3077140679523,
                                }, -- [7]
                                {
                                    ["y"] = -280.7693701264922,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 275.3846530804786,
                                }, -- [8]
                                {
                                    ["y"] = -197.1153913061068,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 213.0769484775936,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sindragosa"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_sindragosa2",
                            ["btnId"] = 17,
                            ["buttons"] = {
                            	{
                                    ["y"] = -312.4999686660476,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 146.5384980541272,
                                }, -- [1]
                                {
                                    ["y"] = -221.1539165723022,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 187.6923367686184,
                                }, -- [2]
                                {
                                    ["y"] = -254.807758149213,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 250.9615651862615,
                                }, -- [3]
                                {
                                    ["y"] = -207.6921923500121,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 177.30779749794,
                                }, -- [4]
                                {
                                    ["y"] = -295.1922273478614,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 146.9230704525409,
                                }, -- [5]
                                {
                                    ["y"] = -491.3464465733213,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 257.3076888023293,
                                }, -- [6]
                                {
                                    ["y"] = -280.7691551778689,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 250.3846235403092,
                                }, -- [7]
                                {
                                    ["y"] = -319.2309871034643,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 362.8846294559762,
                                }, -- [8]
                                {
                                    ["y"] = -237.499938667891,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 160.9615897649038,
                                }, -- [9]
                                {
                                    ["y"] = -234.6153867644011,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 336.9230956418327,
                                }, -- [10]
                                {
                                    ["y"] = -211.5383462313957,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 325.3847512423855,
                                }, -- [11]
                                {
                                    ["y"] = -205.769222883632,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 162.500064996006,
                                }, -- [12]
                                {
                                    ["y"] = -260.5769010377607,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 263.8461914363278,
                                }, -- [13]
                                {
                                    ["y"] = -222.1154013054923,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 320.3845968243936,
                                }, -- [14]
                                {
                                    ["y"] = -206.7306489944702,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 347.1153731392842,
                                }, -- [15]
                                {
                                    ["y"] = -260.5768033338409,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 238.6538610413635,
                                }, -- [16]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 2"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sindragosa"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Ice Tomb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_sindragosa1",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -205.7693010467677,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 212.1153855812677,
                                }, -- [1]
                                {
                                    ["y"] = -283.653609377439,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 384.0383878700584,
                                }, -- [2]
                                {
                                    ["y"] = -199.9998455056769,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 369.0384522172492,
                                }, -- [3]
                                {
                                    ["y"] = -277.884603274379,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 268.2692478820958,
                                }, -- [4]
                                {
                                    ["y"] = -259.6153186006509,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 270.5768972212013,
                                }, -- [5]
                                {
                                    ["y"] = -281.730972104386,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 123.2692739110307,
                                }, -- [6]
                                {
                                    ["y"] = -282.6924959191439,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 147.5001098024129,
                                }, -- [7]
                                {
                                    ["y"] = -204.8076599873061,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 268.8461504464802,
                                }, -- [8]
                                {
                                    ["y"] = -205.769222883632,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 322.6923047858509,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 3"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sindragosa"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Ice Tomb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [12] = {
                    ["name"] = BabbleBoss["The Lich King"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-The Lich King"],} },
                    ["ratext"] = L["ra-The Lich King"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk2",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
                                    ["y"] = -261.5385420972223,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 465.5768814206455,
                                }, -- [1]
                                {
                                    ["y"] = -290.3845887332878,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 377.3077211667527,
                                }, -- [2]
                                {
                                    ["y"] = -312.499851421344,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 378.8462452498148,
                                }, -- [3]
                                {
                                    ["y"] = -221.1538384091665,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 434.4230877415548,
                                }, -- [4]
                                {
                                    ["y"] = -242.3079094757918,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 449.6152656268069,
                                }, -- [5]
                                {
                                    ["y"] = -325.0001299920119,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 470.5768990531498,
                                }, -- [6]
                                {
                                    ["y"] = -314.4230749179154,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 495.9615498436928,
                                }, -- [7]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Shambling Horror"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk2",
                            ["btnId"] = 22,
                            ["buttons"] = {
                            	{
                                    ["y"] = -347.1152949761484,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 393.6538995886131,
                                }, -- [1]
                                {
                                    ["y"] = -190.3846073580975,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 218.846169529277,
                                }, -- [2]
                                {
                                    ["y"] = -323.0768674138727,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 383.46146576489,
                                }, -- [3]
                                {
                                    ["y"] = -367.3076468201763,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 407.884631822243,
                                }, -- [4]
                                {
                                    ["y"] = -359.6152218127054,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 315.3846182734573,
                                }, -- [5]
                                {
                                    ["y"] = -313.4615511031574,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 302.307749790948,
                                }, -- [6]
                                {
                                    ["y"] = -309.6152018139343,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 411.3460472085494,
                                }, -- [7]
                                {
                                    ["y"] = -330.7691947174238,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 421.5384419507046,
                                }, -- [8]
                                {
                                    ["y"] = -353.8461180057256,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 436.7308152437961,
                                }, -- [9]
                                {
                                    ["y"] = -337.5000568285689,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 308.0769903834154,
                                }, -- [10]
                                {
                                    ["y"] = -445.1922091810389,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 335.961493663939,
                                }, -- [11]
                                {
                                    ["y"] = -382.6922623457108,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 319.2307721548409,
                                }, -- [12]
                                {
                                    ["y"] = -404.8075054929831,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 325.9615561028502,
                                }, -- [13]
                                {
                                    ["y"] = -423.0768097074951,
                                    ["type"] = "h",
                                    ["caption"] =  " ",
                                    ["x"] = 329.8077099842338,
                                }, -- [14]
                                {
                                    ["y"] = -432.6921650997782,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 255.769262423187,
                                }, -- [15]
                                {
                                    ["y"] = -322.1152068136271,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 242.6923353183259,
                                }, -- [16]
                                {
                                    ["y"] = -345.1921691834967,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 244.6154220294096,
                                }, -- [17]
                                {
                                    ["y"] = -369.2308507759638,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 247.5000325552514,
                                }, -- [18]
                                {
                                    ["y"] = -392.307617737994,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 248.4615759107933,
                                }, -- [19]
                                {
                                    ["y"] = -412.5000086635898,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 251.346205977419,
                                }, -- [20]
                                {
                                    ["y"] = -452.8844778622382,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 259.9999789325923,
                                }, -- [21]
                            },
                             ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] =L["Phase Switch"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Raging Spirit"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk1",
                            ["btnId"] = 15,
                            ["buttons"] = {
                            	{
                                    ["y"] = -273.0769060374534,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 292.884578008756,
                                }, -- [1]
                                {
                                    ["y"] = -246.1539265716878,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 296.9229545817986,
                                }, -- [2]
                                {
                                    ["y"] = -295.1922859702133,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 294.4230630102501,
                                }, -- [3]
                                {
                                    ["y"] = -305.7690674733346,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 384.6155053830661,
                                }, -- [4]
                                {
                                    ["y"] = -391.346093923236,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 355.192321693209,
                                }, -- [5]
                                {
                                    ["y"] = -326.9232167030957,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 331.7307185321818,
                                }, -- [6]
                                {
                                    ["y"] = -343.2691997171166,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 378.8461280051112,
                                }, -- [7]
                                {
                                    ["y"] = -338.4613070723516,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 292.3076559035876,
                                }, -- [8]
                                {
                                    ["y"] = -372.1152658939661,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 318.6538891312404,
                                }, -- [9]
                                {
                                    ["y"] = -281.7306985334108,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 360.0000189301344,
                                }, -- [10]
                                {
                                    ["y"] = -436.5384166850816,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 313.8461137311791,
                                }, -- [11]
                                {
                                    ["y"] = -433.6537279961041,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 271.5384210359592,
                                }, -- [12]
                                {
                                    ["y"] = -387.4999595826363,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 283.6538634076303,
                                }, -- [13]
                                {
                                    ["y"] = -387.4998423379327,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 396.5385101144548,
                                }, -- [14]
                            },
                             ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 2 - Position"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [4] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk1",
                            ["btnId"] = 9,
                            ["buttons"] = {
                            	{
                                    ["y"] = -289.4229672146101,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 492.6923766898294,
                                }, -- [1]
                                {
                                    ["y"] = -278.8462834154084,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 304.4232350607463,
                                }, -- [2]
                                {
                                    ["y"] = -251.923225786507,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 309.4230182038432,
                                }, -- [3]
                                {
                                    ["y"] = -308.6537170807443,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 298.2692364324177,
                                }, -- [4]
                                {
                                    ["y"] = -328.8458344353649,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 301.9231089997905,
                                }, -- [5]
                                {
                                    ["y"] = -311.5384448512897,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 312.8845703756372,
                                }, -- [6]
                                {
                                    ["y"] = -327.8845451100142,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 493.6537832598837,
                                }, -- [7]
                                {
                                    ["y"] = -312.4999686660476,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 468.6538905052018,
                                }, -- [8]
                            },
                             ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 2 - Valkyr"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Valkyr"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [5] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk1",
                            ["btnId"] = 23,
                            ["buttons"] = {
                            	{
                                    ["y"] = -292.3073627918284,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 248.2691773520787,
                                }, -- [1]
                                {
                                    ["y"] = -470.192375506696,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 368.6538114260918,
                                }, -- [2]
                                {
                                    ["y"] = -359.6154172205448,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 379.8077690645728,
                                }, -- [3]
                                {
                                    ["y"] = -252.8845541934255,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 308.4615139298692,
                                }, -- [4]
                                {
                                    ["y"] = -277.8844469481074,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 309.2307368898323,
                                }, -- [5]
                                {
                                    ["y"] = -320.192237347247,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 247.5000325552514,
                                }, -- [6]
                                {
                                    ["y"] = -202.884690520926,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 40.76921257892168,
                                }, -- [7]
                                {
                                    ["y"] = -337.4998614207295,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 229.0384861082964,
                                }, -- [8]
                                {
                                    ["y"] = -338.4614243170553,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 269.4230530108646,
                                }, -- [9]
                                {
                                    ["y"] = -400.000003663897,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 426.3461001060622,
                                }, -- [10]
                                {
                                    ["y"] = -399.0385189307069,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 321.5384996570821,
                                }, -- [11]
                                {
                                    ["y"] = -216.3460239275373,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 365.76920090025,
                                }, -- [12]
                                {
                                    ["y"] = -316.3459271395918,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 449.0384216847743,
                                }, -- [13]
                                {
                                    ["y"] = -256.7307276155931,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 430.769234714966,
                                }, -- [14]
                                {
                                    ["y"] = -344.2306062871709,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 332.6923205100756,
                                }, -- [15]
                                {
                                    ["y"] = -299.0383812292451,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 377.3076430036169,
                                }, -- [16]
                                {
                                    ["y"] = -464.4231544550125,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 450.3846644538256,
                                }, -- [17]
                                {
                                    ["y"] = -211.5383462313957,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 444.2308026109846,
                                }, -- [18]
                                {
                                    ["y"] = -240.384471030597,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 40.76922234931365,
                                }, -- [19]
                                {
                                    ["y"] = -224.0382926087366,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 95.57693469981425,
                                }, -- [20]
                                {
                                    ["y"] = -292.3074214141803,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 51.34618460468651,
                                }, -- [21]
                                {
                                    ["y"] = -261.538639801142,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 78.26923246319596,
                                }, -- [22]
                            },
                             ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 3"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Vile Spirit"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
            --the next mode could start here
            ["mode10"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Lord Marrowgar"],
                    ["ratext"] = L["ra-Lord Marrowgar"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Lord Marrowgar"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Lord Marrowgar"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_marrowgar",
                            ["btnId"] = 12, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
								{
                                    ["y"] = -253.8461170897514,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 233.8461051820862,
                                }, -- [1]
                                {
                                    ["y"] = -398.0769560343811,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 98.46150614408809,
                                }, -- [2]
                                {
                                    ["y"] = -374.0385870944572,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 413.4614152336441,
                                }, -- [3]
                                {
                                    ["y"] = -172.1155376329928,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 255.5768443236885,
                                }, -- [4]
                                {
                                    ["y"] = -211.5384439353154,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 264.0384141279868,
                                }, -- [5]
                                {
                                    ["y"] = -172.1153813067212,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 266.1538993977851,
                                }, -- [6]
                                {
                                    ["y"] = -255.7690083929957,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 289.6153657733246,
                                }, -- [7]
                                {
                                    ["y"] = -338.4617369695984,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 96.15383726419866,
                                }, -- [8]
                                {
                                    ["y"] = -417.3073932479722,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 427.3076239208201,
                                }, -- [9]
                                {
                                    ["y"] = -445.1922482626068,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 255.1923012364507,
                                }, -- [10]
                                {
                                    ["y"] = -388.4614443158264,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 255.1923403180186,
                                }, -- [11]
                            },
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Marrowgar"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_marrowgar",
                            ["btnId"] = 12, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
								{
                                    ["y"] = -363.461395234873,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 398.6539563026852,
                                }, -- [1]
                                {
                                    ["y"] = -187.4998405059842,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 255.5769224868243,
                                }, -- [2]
                                {
                                    ["y"] = -242.3075186601129,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 232.8845422857603,
                                }, -- [3]
                                {
                                    ["y"] = -349.0383816872322,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 143.2692271963441,
                                }, -- [4]
                                {
                                    ["y"] = -514.4229790459441,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 285.9615909098716,
                                }, -- [5]
                                {
                                    ["y"] = -201.9229712983286,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 312.3076873520367,
                                }, -- [6]
                                {
                                    ["y"] = -253.8461170897514,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 269.4231116332164,
                                }, -- [7]
                                {
                                    ["y"] = -425.9618501305836,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 222.1153426831405,
                                }, -- [8]
                                {
                                    ["y"] = -490.3844928613165,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 156.1538241352344,
                                }, -- [9]
                                {
                                    ["y"] = -420.1922382632212,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 82.1153472630117,
                                }, -- [10]
                                {
                                    ["y"] = -298.0768183329192,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 73.4615498818584,
                                }, -- [11]
                            },
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Marrowgar"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Lady Deathwhisper"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Lady Deathwhisper"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Lady Deathwhisper"],} }, --optional
                    ["ratext"] = L["ra-Lady Deathwhisper"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_deathwhisper",
                            ["btnId"] = 12,
                            ["buttons"] = {
                            	{
                                    ["y"] = -185.5769492027398,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 54.23086840846803,
                                }, -- [1]
                                {
                                    ["y"] = -256.7307276155931,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 35.76921448720136,
                                }, -- [2]
                                {
                                    ["y"] = -291.345995303342,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 120.0000421348154,
                                }, -- [3]
                                {
                                    ["y"] = -137.5000647670124,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 256.3461649875714,
                                }, -- [4]
                                {
                                    ["y"] = -293.2693555854011,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 149.2307784139982,
                                }, -- [5]
                                {
                                    ["y"] = -304.8077195256322,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 250.9615065639096,
                                }, -- [6]
                                {
                                    ["y"] = -236.5382194452936,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.57697492635,
                                }, -- [7]
                                {
                                    ["y"] = -346.1536539166868,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 14.807747157522,
                                }, -- [8]
                                {
                                    ["y"] = -279.8076704446788,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 251.9229522155318,
                                }, -- [9]
                                {
                                    ["y"] = -239.4229862974069,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 255.1923207772347,
                                }, -- [10]
                                {
                                    ["y"] = -236.538434393917,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 288.8462209764973,
                                }, -- [11]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },

                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lady Deathwhisper"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Cult Fanatic"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Cult Adherent"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_deathwhisper",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -168.2692078845537,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 253.0768745890043,
                                }, -- [1]
                                {
                                    ["y"] = -119.2307507821084,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 254.6153986720663,
                                }, -- [2]
                                {
                                    ["y"] = -230.7693305869372,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 247.1154503864457,
                                }, -- [3]
                                {
                                    ["y"] = -240.3845491937327,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 207.1153874895474,
                                }, -- [4]
                                {
                                    ["y"] = -141.3460623221245,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 255.3846020912455,
                                }, -- [5]
                                {
                                    ["y"] = -231.7307176162076,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 277.8846618967308,
                                }, -- [6]
                                {
                                    ["y"] = -258.6538338674608,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 243.6538395922999,
                                }, -- [7]
                                {
                                    ["y"] = -258.6536189188374,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 279.2307678802944,
                                }, -- [8]
                                {
                                    ["y"] = -250.9612720745023,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 314.807676627505,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lady Deathwhisper"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [3] = {
                    ["name"] = BabbleBoss["Icecrown Gunship Battle"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Icecrown Gunship Battle"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Icecrown Gunship Battle"],} }, --optional
                    ["ratext"] = L["ra-Icecrown Gunship Battle"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_gunship",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
                                    ["y"] = -293.2692969630492,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 118.6538872992919,
                                }, -- [1]
                                {
                                    ["y"] = -276.9229035925655,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 219.6153729484562,
                                }, -- [2]
                                {
                                    ["y"] = -298.0768183329192,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 314.615453935846,
                                }, -- [3]
                                {
                                    ["y"] = -358.6538152426511,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 312.692425847114,
                                }, -- [4]
                                {
                                    ["y"] = -355.7692828799451,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 115.7692376918823,
                                }, -- [5]
                                {
                                    ["y"] = -332.692164183804,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.5768967632142,
                                }, -- [6]
                                {
                                    ["y"] = -395.1923064269715,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.5769358447821,
                                }, -- [7]
                            },
                            ["legend"] = {
                               ["entries"] = {
                                    [1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Sharpshooter"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [2] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Artillery"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [3] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Canon"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                         [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_gunship",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
                                    ["y"] = -357.6922523463253,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 201.5384868334427,
                                }, -- [1]
                                {
                                    ["y"] = -333.6538052432656,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 205.0000194644528,
                                }, -- [2]
                                {
                                    ["y"] = -391.3460157601002,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 203.6538548585373,
                                }, -- [3]
                                {
                                    ["y"] = -282.6920269403292,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 203.8461752541161,
                                }, -- [4]
                                {
                                    ["y"] = -330.769155635856,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 154.2307178833667,
                                }, -- [5]
                                {
                                    ["y"] = -328.8460298432043,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 363.2692311655658,
                                }, -- [6]
                                {
                                    ["y"] = -367.3076859017442,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 329.8077881473696,
                                }, -- [7]
                            },
                            ["legend"] = {
                               ["entries"] = {
                               		[1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Mage"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [2] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "b",
                                        ["caption"] = L["Captain"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "h",
                                        ["caption"] = L["healer/ranged DD"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                },
                            },
                        },
                    },
                },
                 [4] = {
                    ["name"] = BabbleBoss["Deathbringer Saurfang"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Deathbringer Saurfang"],} },
                    ["ratext"] = L["ra-Deathbringer Saurfang"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_saurfang",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -118.2692660489184,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 242.1153545908057,
                                }, -- [1]
                                {
                                    ["y"] = -137.4999768334847,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 254.4230978172715,
                                }, -- [2]
                                {
                                    ["y"] = -150.9615544998952,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 240.5769086708794,
                                }, -- [3]
                                {
                                    ["y"] = -174.0385070993729,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 310.961639990825,
                                }, -- [4]
                                {
                                    ["y"] = -280.7689793108133,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 148.0769635148374,
                                }, -- [5]
                                {
                                    ["y"] = -217.3075868238631,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 119.61536226209,
                                }, -- [6]
                                {
                                    ["y"] = -118.2692660489184,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 267.1153450494073,
                                }, -- [7]
                                {
                                    ["y"] = -153.8463213520085,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 267.5000444629166,
                                }, -- [8]
                                {
                                    ["y"] = -176.9230394620789,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 205.1923007784636,
                                }, -- [9]
                                {
                                    ["y"] = -275.9615361040791,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 349.0385380135037,
                                }, -- [10]
                                {
                                    ["y"] = -206.7307857799578,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 421.5385201138403,
                                }, -- [11]
                                {
                                    ["y"] = -364.4230753759025,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 203.2691945265959,
                                }, -- [12]
                                {
                                    ["y"] = -365.3845601090926,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 309.0384946573894,
                                }, -- [13]
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Deathbringer Saurfang"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Blood Beast"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [5] = {
                    ["name"] = BabbleBoss["Festergut"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Festergut"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Festergut"],} }, --optional
                    ["ratext"] = L["ra-Festergut"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_rotface",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -299.0384398515969,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 242.5000149227471,
                                }, -- [1]
                                {
                                    ["y"] = -427.8846632706922,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 194.6153238675028,
                                }, -- [2]
                                {
                                    ["y"] = -362.5001840726582,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 186.5385120990657,
                                }, -- [3]
                                {
                                    ["y"] = -255.769242882403,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 272.8844293156031,
                                }, -- [4]
                                {
                                    ["y"] = -282.6923005113044,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 259.2307755134131,
                                }, -- [5]
                                {
                                    ["y"] = -256.7306494524573,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 250.7692447906827,
                                }, -- [6]
                                {
                                    ["y"] = -426.92321761907,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 287.8846776209554,
                                }, -- [7]
                                {
                                    ["y"] = -377.8847605166247,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 335.0001261754526,
                                }, -- [8]
                                {
                                    ["y"] = -316.3460248435115,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 343.2692387986845,
                                }, -- [9]
                                {
                                    ["y"] = -370.192257346018,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 265.3845396523344,
                                }, -- [10]
                                {
                                    ["y"] = -300.9615070218968,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 275.1923913072517,
                                }, -- [11]
                                {
                                    ["y"] = -399.0383626044354,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 199.4230992675641,
                                }, -- [12]
                                {
                                    ["y"] = -279.8075336591912,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 283.0769608432459,
                                }, -- [13]
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Festergut"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Gas Spore"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [6] = {
                    ["name"] = BabbleBoss["Rotface"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Rotface"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Rotface"],} }, --optional
                    ["ratext"] = L["ra-Rotface"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_rotface",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
                                    ["y"] = -314.4229967547796,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 272.3076439959224,
                                }, -- [1]
                                {
                                    ["y"] = -306.7307085327963,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 247.5000325552514,
                                }, -- [2]
                                {
                                    ["y"] = -315.3844814879697,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 252.8846323565613,
                                }, -- [3]
                                {
                                    ["y"] = -268.2693651267995,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 259.423056827424,
                                }, -- [4]
                                {
                                    ["y"] = -293.2691015552098,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 259.2307755134131,
                                }, -- [5]
                                {
                                    ["y"] = -339.4231044580848,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 423.461645906492,
                                }, -- [6]
                                {
                                    ["y"] = -272.1154408450473,
                                    ["type"] = "t",
                                    ["caption"] = L["Cite-Tank"],
                                    ["x"] = 439.2307458969124,
                                }, -- [7]
                            },
                             ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Festergut"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Ooze"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [7] = {
                    ["name"] = BabbleBoss["Professor Putricide"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Professor Putricide"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Professor Putricide"],} }, --optional
                    ["ratext"] = L["ra-Professor Putricide"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_prof",
                            ["btnId"] = 9,
                            ["buttons"] = {
                            	{
									["y"] = -251.9229131339639,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 62.69232096806265,
                                }, -- [1]
                                {
                                    ["y"] = -293.2692187999135,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 16.73075448417101,
                                }, -- [2]
                                {
                                    ["y"] = -311.5383666881539,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 17.30767781063835,
                                }, -- [3]
                                {
                                    ["y"] = -283.6533748880317,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 57.30773582234069,
                                }, -- [4]
                                {
                                    ["y"] = -292.3078903929949,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 411.9232038031251,
                                }, -- [5]
                                {
                                    ["y"] = -258.6536970819732,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 39.61539523716291,
                                }, -- [6]
                                {
                                    ["y"] = -316.346220251351,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 32.11540054218042,
                                }, -- [7]
                                {
                                    ["y"] = -230.769037475178,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 406.9231470890529,
                                }, -- [8]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 190,
                                    ["y"] = -17,
                                    ["text"] = L["Green Ooze"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Professor Putricide"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Green Ooze"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Mutated Abomination"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_prof",
                            ["btnId"] = 13,
                            ["buttons"] = {
                            	{
                                    ["y"] = -318.2689552283238,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 445.0002405195712,
                                }, -- [1]
                                {
                                    ["y"] = -335.5766965465099,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 427.5000615611025,
                                }, -- [2]
                                {
                                    ["y"] = -340.3843937834354,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 398.2691591852562,
                                }, -- [3]
                                {
                                    ["y"] = -274.9998755038336,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 404.2307397140863,
                                }, -- [4]
                                {
                                    ["y"] = -238.4614234010811,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 390.384609190046,
                                }, -- [5]
                                {
                                    ["y"] = -295.1921296439417,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 153.2692917725285,
                                }, -- [6]
                                {
                                    ["y"] = -361.5384257684929,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 417.500026296094,
                                }, -- [7]
                                {
                                    ["y"] = -293.2692578814813,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 368.6539286707954,
                                }, -- [8]
                                {
                                    ["y"] = -331.7306794506139,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 354.2307587968831,
                                }, -- [9]
                                {
                                    ["y"] = -260.576783793057,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 339.4231044580848,
                                }, -- [10]
                                {
                                    ["y"] = -383.6535907526293,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 353.8462352504293,
                                }, -- [11]
                                {
                                    ["y"] = -228.8460680087979,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 179.0384661095253,
                                }, -- [12]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 190,
                                    ["y"] = -17,
                                    ["text"] = L["Red Ooze"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Professor Putricide"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Red Ooze"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Mutated Abomination"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_prof",
                            ["btnId"] = 9,
                            ["buttons"] = {
                            	{
									["y"] = -181.7304826688131,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 237.1153955806533,
                                }, -- [1]
                                {
                                    ["y"] = -182.6921041874908,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 212.3077255176304,
                                }, -- [2]
                                {
                                    ["y"] = -155.7690465585893,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 244.4231016338309,
                                }, -- [3]
                                {
                                    ["y"] = -181.7307757805723,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 327.88462327315,
                                }, -- [4]
                                {
                                    ["y"] = -203.8460189278445,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 353.2693913083967,
                                }, -- [5]
                                {
                                    ["y"] = -203.8459407647087,
                                    ["x"] = 222.8846242654554,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                }, -- [6]
                                {
                                    ["y"] = -183.6536670838166,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 263.6538319591812,
                                }, -- [7]
                                {
                                    ["y"] = -214.4229762980214,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 309.6154558441256,
                                }, -- [8]
                       		 },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Professor Putricide"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },

                 [8] = {
                    ["name"] = BabbleBoss["Blood Princes"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Blood Princes"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Blood Princes"],} }, --optional
                    ["ratext"] = L["ra-Blood Princes"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_princes1",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -512.4998923348603,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 419.2305972037596,
                                }, -- [1]
                                {
                                    ["y"] = -395.1922673454036,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 450.7693443265509,
                                }, -- [2]
                                {
                                    ["y"] = -406.7308657750421,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 55.38460025929705,
                                }, -- [3]
                                {
                                    ["y"] = -438.4614252330296,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 260.961580910486,
                                }, -- [4]
                                {
                                    ["y"] = -401.923012211845,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 429.0385465625967,
                                }, -- [5]
                                {
                                    ["y"] = -463.4615524771188,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 263.2691911680237,
                                }, -- [6]
                                {
                                    ["y"] = -486.5383976022848,
                                    ["type"] = "t",
                                    ["caption"] = L["range-tank"],
                                    ["x"] = 42.11536252924915,
                                }, -- [7]
                                {
                                    ["y"] = -527.8846251050985,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 263.4615897267382,
                                }, -- [8]
                                {
                                    ["y"] = -521.1538802386571,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 125.9615738116856,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Common Positions"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Prince Keleseth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Prince Valanar"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Prince Taldaram"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_princes2",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -279.8075141184073,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 237.6922786042537,
                                }, -- [1]
                                {
                                    ["y"] = -178.8462434178663,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 205.1923398600315,
                                }, -- [2]
                                {
                                    ["y"] = -278.8461270891369,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 396.730674183762,
                                }, -- [3]
                                {
                                    ["y"] = -257.6921341856474,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 253.2692340661509,
                                }, -- [4]
                                {
                                    ["y"] = -294.2309184817269,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 105.9615032816686,
                                }, -- [5]
                                {
                                    ["y"] = -199.9999822911645,
                                    ["type"] = "t",
                                    ["caption"] = L["range-tank"],
                                    ["x"] = 378.653963935804,
                                }, -- [6]
                                {
                                    ["y"] = -192.3076549876134,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 180.7692715065983,
                                }, -- [7]
                                {
                                    ["y"] = -296.153887948107,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 82.49999782456116,
                                }, -- [8]
                                {
                                    ["y"] = -231.7307176162076,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 253.6538553165244,
                                }, -- [9]
                                {
                                    ["y"] = -277.8845251112432,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 267.5000444629166,
                                }, -- [10]
                                {
                                    ["y"] = -173.076963743831,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 235.5768714975912,
                                }, -- [11]
                                {
                                    ["y"] = -171.1537402472596,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 270.5769753843371,
                                }, -- [12]
                                {
                                    ["y"] = -178.8461652547305,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 304.8077390664162,
                                }, -- [13]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Prince Valanar"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Prince Keleseth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Prince Valanar"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Prince Taldaram"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_princes2",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -278.8459903036493,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 404.4230210280971,
                                }, -- [1]
                                {
                                    ["y"] = -262.5000268304123,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 255.1923012364507,
                                }, -- [2]
                                {
                                    ["y"] = -288.46148248142,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 106.9231052595623,
                                }, -- [3]
                                {
                                    ["y"] = -295.1921296439417,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 85.38458880961895,
                                }, -- [4]
                                {
                                    ["y"] = -269.2306349113661,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 124.2308074961806,
                                }, -- [5]
                                {
                                    ["y"] = -192.3076549876134,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 155.7692028848609,
                                }, -- [6]
                                {
                                    ["y"] = -165.3845191955762,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 162.8846080832437,
                                }, -- [7]
                                {
                                    ["y"] = -234.6153867644011,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 254.6153595904985,
                                }, -- [8]
                                {
                                    ["y"] = -171.1537402472596,
                                    ["type"] = "t",
                                    ["caption"] = L["range-tank"],
                                    ["x"] = 336.3461344550965,
                                }, -- [9]
                                {
                                    ["y"] = -181.7306976174365,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 135.5769682855367,
                                }, -- [10]
                                {
                                    ["y"] = -181.7307757805723,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 185.5769882843077,
                                }, -- [11]
                                {
                                    ["y"] = -160.5768610402185,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 135.9615504543423,
                                }, -- [12]
                                {
                                    ["y"] = -290.3846473556396,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 130.0000285478641,
                                }, -- [13]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Prince Taldaram"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Prince Keleseth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Prince Valanar"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Prince Taldaram"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [9] = {
                    ["name"] = BabbleBoss["Blood-Queen Lana'thel"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Blood-Queen Lana'thel"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Blood-Queen Lana'thel"],} }, --optional
                    ["ratext"] = L["ra-Blood-Queen Lana'thel"],
                    ["imgdata"] = {
                       [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_bloodqueen",
                            ["btnId"] = 11,
                            ["buttons"] = {
                            	{
                                    ["y"] = -229.8076699866917,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 238.6538610413635,
                                }, -- [1]
                                {
                                    ["y"] = -411.5382503594245,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 108.0770178626428,
                                }, -- [2]
                                {
                                    ["y"] = -323.0767892507369,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 77.88459167203847,
                                }, -- [3]
                                {
                                    ["y"] = -188.4615597285816,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 251.7307295238728,
                                }, -- [4]
                                {
                                    ["y"] = -211.5385416392352,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 250.5769439358879,
                                }, -- [5]
                                {
                                    ["y"] = -228.8461852535016,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 261.7307843296653,
                                }, -- [6]
                                {
                                    ["y"] = -465.3844046987952,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 169.2309271071511,
                                }, -- [7]
                                {
                                    ["y"] = -481.7309348547665,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 285.9615518283037,
                                }, -- [8]
                                {
                                    ["y"] = -421.1541528936581,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 409.6153199746123,
                                }, -- [9]
                                {
                                    ["y"] = -305.7692628811741,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 416.730744713779,
                                }, -- [10]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Blood-Queen Lana'thel"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_bloodqueen",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -201.9231276246002,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 255.5769224868243,
                                }, -- [1]
                                {
                                    ["y"] = -231.7307957793433,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 150.1923901622839,
                                }, -- [2]
                                {
                                    ["y"] = -317.3078417700286,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 417.3077059005153,
                                }, -- [3]
                                {
                                    ["y"] = -407.6923114266642,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 410.0001561736092,
                                }, -- [4]
                                {
                                    ["y"] = -242.3076749863844,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 379.0383702375541,
                                }, -- [5]
                                {
                                    ["y"] = -479.8078481436828,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 334.6153681395914,
                                }, -- [6]
                                {
                                    ["y"] = -483.6539434027146,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 205.1922812376797,
                                }, -- [7]
                                {
                                    ["y"] = -320.1923155103827,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 98.46154522565598,
                                }, -- [8]
                                {
                                    ["y"] = -414.4230562931057,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 117.3077129229845,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Blood-Queen Lana'thel"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                 [10] = {
                    ["name"] = BabbleBoss["Valithria Dreamwalker"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Valithria Dreamwalker"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Valithria Dreamwalker"],} }, --optional
                    ["ratext"] = L["ra-Valithria Dreamwalker"],
                    ["imgdata"] = {
                       [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_dreamwalker",
                            ["btnId"] = 5,
                            ["buttons"] = {
                            	{
                                    ["y"] = -207.6923682170676,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 200.9615647282743,
                                }, -- [1]
                                {
                                    ["y"] = -250.9615065639096,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.615400580346,
                                }, -- [2]
                                {
                                    ["y"] = -196.153808868997,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 245.1922855122262,
                                }, -- [3]
                                {
                                    ["y"] = -203.8460970909803,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 298.0769941999747,
                                }, -- [4]
                            },
                            ["legend"] = {
                               ["entries"] = {
                               		[1] = {
                                        ["type"] = "h",
                                        ["caption"] = L["portal"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Valithria Dreamwalker"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_dreamwalker",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -159.6153665366365,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 215.5769377530617,
                                }, -- [1]
                                {
                                    ["y"] = -173.0768464991274,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 171.5384592015529,
                                }, -- [2]
                                {
                                    ["y"] = -174.9998941286432,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 242.1153936723736,
                                }, -- [3]
                                {
                                    ["y"] = -251.9229912970997,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 251.5385068322138,
                                }, -- [4]
                                {
                                    ["y"] = -205.769222883632,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 300.9615656442486,
                                }, -- [5]
                                {
                                    ["y"] = -163.4615399588041,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 320.5769563015402,
                                }, -- [6]
                                {
                                    ["y"] = -204.8077381504419,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 221.53845965954,
                                }, -- [7]
                                {
                                    ["y"] = -161.5384141661524,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 265.5768209663452,
                                }, -- [8]
                                {
                                    ["y"] = -154.8075618253993,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 244.4231016338309,
                                }, -- [9]
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Valithria Dreamwalker"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                 [11] = {
                    ["name"] = BabbleBoss["Sindragosa"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Sindragosa"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash-Sindragosa"],} }, --optional
                    ["ratext"] = L["ra-Sindragosa"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_sindragosa1",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -223.0769642018181,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 256.9231261743076,
                                }, -- [1]
                                {
                                    ["y"] = -283.653609377439,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 253.2692340661509,
                                }, -- [2]
                                {
                                    ["y"] = -270.1922759708277,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 257.6923100527029,
                                }, -- [3]
                                {
                                    ["y"] = -197.1152349798352,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 352.6921565506852,
                                }, -- [4]
                                {
                                    ["y"] = -198.0769346616487,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 256.3461649875714,
                                }, -- [5]
                                {
                                    ["y"] = -196.153808868997,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 299.615459660685,
                                }, -- [6]
                                {
                                    ["y"] = -273.0768083335337,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 242.3077140679523,
                                }, -- [7]
                                {
                                    ["y"] = -280.7693701264922,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 275.3846530804786,
                                }, -- [8]
                                {
                                    ["y"] = -197.1153913061068,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 213.0769484775936,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sindragosa"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_sindragosa2",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -250.9616628901812,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 191.7308696679326,
                                }, -- [1]
                                {
                                    ["y"] = -230.7691547198817,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 189.2308217701126,
                                }, -- [2]
                                {
                                    ["y"] = -231.7307957793433,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 343.4615982758311,
                                }, -- [3]
                                {
                                    ["y"] = -230.7691547198817,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 179.230806045888,
                                }, -- [4]
                                {
                                    ["y"] = -229.8076699866917,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 201.9230885430323,
                                }, -- [5]
                                {
                                    ["y"] = -250.9615651862615,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 322.4999843902722,
                                }, -- [6]
                                {
                                    ["y"] = -230.7691547198817,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 323.0769455770084,
                                }, -- [7]
                                {
                                    ["y"] = -229.8076699866917,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 310.9616009092571,
                                }, -- [8]
                                {
                                    ["y"] = -238.4615015642169,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 209.8076776198104,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 2"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sindragosa"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Ice Tomb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_sindragosa1",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -205.7693010467677,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 212.1153855812677,
                                }, -- [1]
                                {
                                    ["y"] = -283.653609377439,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 384.0383878700584,
                                }, -- [2]
                                {
                                    ["y"] = -199.9998455056769,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 369.0384522172492,
                                }, -- [3]
                                {
                                    ["y"] = -277.884603274379,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 268.2692478820958,
                                }, -- [4]
                                {
                                    ["y"] = -259.6153186006509,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 270.5768972212013,
                                }, -- [5]
                                {
                                    ["y"] = -281.730972104386,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 123.2692739110307,
                                }, -- [6]
                                {
                                    ["y"] = -282.6924959191439,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 147.5001098024129,
                                }, -- [7]
                                {
                                    ["y"] = -204.8076599873061,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 268.8461504464802,
                                }, -- [8]
                                {
                                    ["y"] = -205.769222883632,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 322.6923047858509,
                                }, -- [9]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 3"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sindragosa"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Ice Tomb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                 [12] = {
                    ["name"] = BabbleBoss["The Lich King"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-The Lich King"],} },
                    ["ratext"] = L["ra-The Lich King"],
                    ["imgdata"] = {
                       [1] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk2",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
                                    ["y"] = -261.5385420972223,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 465.5768814206455,
                                }, -- [1]
                                {
                                    ["y"] = -290.3845887332878,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 377.3077211667527,
                                }, -- [2]
                                {
                                    ["y"] = -312.499851421344,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 378.8462452498148,
                                }, -- [3]
                                {
                                    ["y"] = -221.1538384091665,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 434.4230877415548,
                                }, -- [4]
                                {
                                    ["y"] = -242.3079094757918,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 449.6152656268069,
                                }, -- [5]
                                {
                                    ["y"] = -325.0001299920119,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 470.5768990531498,
                                }, -- [6]
                                {
                                    ["y"] = -314.4230749179154,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 495.9615498436928,
                                }, -- [7]
                            },
                            ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 1"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Shambling Horror"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk2",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -196.153808868997,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 222.6923234106606,
                                }, -- [1]
                                {
                                    ["y"] = -287.4998805035263,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 433.8461656363864,
                                }, -- [2]
                                {
                                    ["y"] = -345.1923255097683,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 228.2692631483332,
                                }, -- [3]
                                {
                                    ["y"] = -347.1152949761484,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 301.9231089997905,
                                }, -- [4]
                                {
                                    ["y"] = -273.0769451190213,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 480.577051562862,
                                }, -- [5]
                                {
                                    ["y"] = -278.8461466299208,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 453.2692358980994,
                                }, -- [6]
                                {
                                    ["y"] = -319.2306939917051,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 500.7692470806184,
                                }, -- [7]
                                {
                                    ["y"] = -328.8460298432043,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 475.3845572085074,
                                }, -- [8]
                                {
                                    ["y"] = -337.4999395838653,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 461.7309034063174,
                                }, -- [9]
                                {
                                    ["y"] = -399.0382844412996,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 285.5769110371462,
                                }, -- [10]
                                {
                                    ["y"] = -397.115471301191,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 351.9231094577776,
                                }, -- [11]
                                {
                                    ["y"] = -421.1534885070039,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 407.1155065661995,
                                }, -- [12]
                                {
                                    ["y"] = -430.7692737965339,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 251.346186436635,
                                }, -- [13]
                            },
                             ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] =L["Phase Switch"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Raging Spirit"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk1",
                            ["btnId"] = 11,
                            ["buttons"] = {
                            	{
                                    ["y"] = -252.8845541934255,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 247.6923138692622,
                                }, -- [1]
                                {
                                    ["y"] = -216.346102090673,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 247.884614724057,
                                }, -- [2]
                                {
                                    ["y"] = -277.8844469481074,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 226.1538560416707,
                                }, -- [3]
                                {
                                    ["y"] = -465.3846782697705,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 210.5769201205575,
                                }, -- [4]
                                {
                                    ["y"] = -316.3460639250794,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 88.8461996037648,
                                }, -- [5]
                                {
                                    ["y"] = -273.0769060374534,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 266.5384815665908,
                                }, -- [6]
                                {
                                    ["y"] = -427.8845851075564,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 110.0000752625507,
                                }, -- [7]
                                {
                                    ["y"] = -382.6922623457108,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 427.3075848392522,
                                }, -- [8]
                                {
                                    ["y"] = -467.3076477361506,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 340.3846282728428,
                                }, -- [9]
                                {
                                    ["y"] = -310.576823332612,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 398.076995115949,
                                }, -- [10]
                            },
                             ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 2 - Position"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [4] = {
                            ["source"] = "Interface\\Addons\\BT_ICC\\Img\\map_lk1",
                            ["btnId"] = 12,
                            ["buttons"] = {
                            	{
                                    ["y"] = -349.999944583558,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 44.61537623069727,
                                }, -- [1]
                                {
                                    ["y"] = -243.2691792603584,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 244.8076838026366,
                                }, -- [2]
                                {
                                    ["y"] = -217.3075086607273,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 243.0769370279155,
                                }, -- [3]
                                {
                                    ["y"] = -272.1153822226955,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 218.4615091973356,
                                }, -- [4]
                                {
                                    ["y"] = -351.9229531315061,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 182.1153774901619,
                                }, -- [5]
                                {
                                    ["y"] = -318.2692092585151,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 207.6923095947157,
                                }, -- [6]
                                {
                                    ["y"] = -275.9616533487828,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 270.3845963664065,
                                }, -- [7]
                                {
                                    ["y"] = -326.923118999176,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 275.9615165632952,
                                }, -- [8]
                                {
                                    ["y"] = -302.8846523553324,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 317.3076268214052,
                                }, -- [9]
                                {
                                    ["y"] = -362.5001059095224,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 250.3846626218771,
                                }, -- [10]
                                {
                                    ["y"] = -347.115099568309,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 312.8846094572051,
                                }, -- [11]
                            },
                             ["fontstrings"] = {
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] =L["Phase 2 - Valkyr"],
                                },
                            },
                            ["legend"] = {
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["The Lich King"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                     [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Valkyr"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
		},
    },
}

function BT_ICC:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_ICCDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_ICC:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_ICC:CheckUpdate()

	minor, second = strsplit(".",BT_main.version)
	if(tonumber(minor) == 2)then
        if(tonumber(second) < 17)then
            BT_main:ShowInfoMessage(format(L["new main version"],"2.17"))
            return
        end
    else
        if(tonumber(minor) <= 2)then
            BT_main:ShowInfoMessage(format(L["new main version"],"2.17"))
            return
        end
    end
	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			self.updateInfo = {}
			if(defaults.profile.version >= 2 and self.db.profile.version <= 2)then -- <=2 because it was incremmented, this means v1 in profile
				if(not self:CompareBosses(self.db.profile.bosses.mode10[5].imgdata,defaults.profile.bosses.mode10[5].imgdata))then
				    self.updateInfo[5] = {}
                    self.updateInfo[5].mode10 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode25[5].imgdata,defaults.profile.bosses.mode25[5].imgdata))then
				    if(not self.updateInfo[5]) then self.updateInfo[5] = {} end
                    self.updateInfo[5].mode25 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode10[6].imgdata,defaults.profile.bosses.mode10[6].imgdata))then
				    self.updateInfo[6] = {}
                    self.updateInfo[6].mode10 = true;
                end
                if(not self:CompareBosses(self.db.profile.bosses.mode25[6].imgdata,defaults.profile.bosses.mode25[6].imgdata))then
				    if(not self.updateInfo[6]) then self.updateInfo[6] = {} end
                    self.updateInfo[6].mode25 = true;
                end

                 if(not self:CompareBosses(self.db.profile.bosses.mode10[7].imgdata,defaults.profile.bosses.mode10[7].imgdata))then
				    self.updateInfo[7] = {}
                    self.updateInfo[7].mode10 = true;
                end
                if(not self:CompareBosses(self.db.profile.bosses.mode25[7].imgdata,defaults.profile.bosses.mode25[7].imgdata))then
				    if(not self.updateInfo[7]) then self.updateInfo[7] = {} end
                    self.updateInfo[7].mode25 = true;
                end
            end

            if(defaults.profile.version >= 3 and self.db.profile.version <= 3)then
				if(not self:CompareBosses(self.db.profile.bosses.mode10[8].imgdata,defaults.profile.bosses.mode10[8].imgdata))then
				    self.updateInfo[8] = {}
                    self.updateInfo[8].mode10 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode25[8].imgdata,defaults.profile.bosses.mode25[8].imgdata))then
				    if(not self.updateInfo[8]) then self.updateInfo[8] = {} end
                    self.updateInfo[8].mode25 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode10[9].imgdata,defaults.profile.bosses.mode10[9].imgdata))then
				    self.updateInfo[9] = {}
                    self.updateInfo[9].mode10 = true;
                end
                if(not self:CompareBosses(self.db.profile.bosses.mode25[9].imgdata,defaults.profile.bosses.mode25[9].imgdata))then
				    if(not self.updateInfo[9]) then self.updateInfo[9] = {} end
                    self.updateInfo[9].mode25 = true;
                end
            end
            
            if(defaults.profile.version >= 4 and self.db.profile.version <= 4)then 
				if(not self:CompareBosses(self.db.profile.bosses.mode10[10].imgdata,defaults.profile.bosses.mode10[10].imgdata))then
				    self.updateInfo[10] = {}
                    self.updateInfo[10].mode10 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode25[10].imgdata,defaults.profile.bosses.mode25[10].imgdata))then
				    if(not self.updateInfo[10]) then self.updateInfo[10] = {} end
                    self.updateInfo[10].mode25 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode10[11].imgdata,defaults.profile.bosses.mode10[11].imgdata))then
				    self.updateInfo[11] = {}
                    self.updateInfo[11].mode10 = true;
                end
                if(not self:CompareBosses(self.db.profile.bosses.mode25[11].imgdata,defaults.profile.bosses.mode25[11].imgdata))then
				    if(not self.updateInfo[11]) then self.updateInfo[11] = {} end
                    self.updateInfo[11].mode25 = true;
                end
                if(not self:CompareBosses(self.db.profile.bosses.mode10[12].imgdata,defaults.profile.bosses.mode10[12].imgdata))then
				    self.updateInfo[12] = {}
                    self.updateInfo[12].mode10 = true;
                end
                if(not self:CompareBosses(self.db.profile.bosses.mode25[12].imgdata,defaults.profile.bosses.mode25[12].imgdata))then
				    if(not self.updateInfo[12]) then self.updateInfo[12] = {} end
                    self.updateInfo[12].mode25 = true;
                end
            end

			local found = false
            for i,v in pairs(self.updateInfo)do
                if(v and (v.mode10 or v.mode25)) then
                    found = true
                    break
                end
            end
            if(found)then
                BT_main:ShowUpdateMessageFrame(format(L["update msg"],defaults.profile.version),
                                                                function() self.updateAll = true;
                                                                           self:PerformUpdate(1,true);
                                                                           end,
                                                                function() self.updateAll = false;
                                                                           self:PerformUpdate(1,true);
                                                                           end)
            else
                self.db.profile.version = defaults.profile.version+1
            end
		end
	else
		self.db.profile.version = defaults.profile.version+1
	end
	self.db.profile.initial = false
end;

function BT_ICC:PerformUpdate(start,mode) --next index, true=mode10
	local v = nil
	while(start <= 12)do
		if(self.updateInfo[start])then
			if(mode)then
				if(self.updateInfo[start].mode10)then
				    v = self.updateInfo[start]
                    break
                else
                	mode = false
                end
			else
				if(self.updateInfo[start].mode25)then
				    v = self.updateInfo[start]
                    break
                else
                	start=start+1
                	mode = true
                end
			end
		else
			start=start+1
		end
	end
	if(not v)then
		self:Print(L["Update finished."])
   		self.db.profile.version = defaults.profile.version+1
   		return
	end
	if(v.mode10 and mode)then
        if(not self:CompareBosses(self.db.profile.bosses.mode10[start].imgdata,defaults.profile.bosses.mode10[start].imgdata))then
            local yesfun = function() BT_ICC:ResetButtonsForBoss(self.db.profile.bosses.mode10[start].imgdata, defaults.profile.bosses.mode10[start].imgdata);
                                      self:PerformUpdate(start, false) end
            if(self.updateAll)then
                yesfun()
            else
                BT_main:ShowQuestionFrame(format(L["Reset Boss"],self.db.profile.bosses.mode10[start].name, 10),
                yesfun,
                function() BT_ICC:CleanUpButtons(self.db.profile.bosses.mode10[start].imgdata, defaults.profile.bosses.mode10[start].imgdata);
                	       self:PerformUpdate(start, false) end)
            end
        else
        	self:PerformUpdate(start, false)
        end
    elseif(v.mode25 and not mode)then
    	if(not self:CompareBosses(self.db.profile.bosses.mode25[start].imgdata,defaults.profile.bosses.mode25[start].imgdata))then
            local yesfun = function() BT_ICC:ResetButtonsForBoss(self.db.profile.bosses.mode25[start].imgdata, defaults.profile.bosses.mode25[start].imgdata);
                                      self:PerformUpdate(start+1, true) end
            if(self.updateAll)then
                yesfun()
            else
                BT_main:ShowQuestionFrame(format(L["Reset Boss"],self.db.profile.bosses.mode25[start].name, 25),
                yesfun,
                function() BT_ICC:CleanUpButtons(self.db.profile.bosses.mode25[start].imgdata, defaults.profile.bosses.mode25[start].imgdata);
                           self:PerformUpdate(start+1, true) end)
            end
        else
        	self:PerformUpdate(start+1, true)
    	end
    end

end;


function BT_ICC:CleanUpButtons(b, bDef)

	for i,v in ipairs(b)do
		local img2 = bDef[i]
		local counter = 0
		local UBtnList = {}
		for ind, val in ipairs(v.buttons) do
			local tmpBtn = {}
			counter = counter + 1
			if(img2.buttons[ind])then
			    if(val.x == img2.buttons[ind].x and val.type == img2.buttons[ind].type
                    and val.y == img2.buttons[ind].y and val.caption == img2.buttons[ind].caption)then
                    --ende der Liste
                    break;
                else
                	--user button kopieren
                	tmpBtn.x = val.x
			        tmpBtn.y = val.y
                    tmpBtn.caption = val.caption
                    tmpBtn.type = val.type
                    tinsert(UBtnList,tmpBtn)
                end
            else
            	tmpBtn.x = val.x
			    tmpBtn.y = val.y
                tmpBtn.caption = val.caption
                tmpBtn.type = val.type
                tinsert(UBtnList,tmpBtn)
			end
		end
		v.buttons = {}
		for i=1, img2.btnId-1, 1 do
			local tmpBtn = {}
			tmpBtn.deleted = true
			tinsert(v.buttons,tmpBtn)
		end

		for ind,val in ipairs(UBtnList)do
			tinsert(v.buttons,val)
		end
		v.btnId = img2.btnId+counter
	end

end

function BT_ICC:ResetButtonsForBoss(b, bDef)

	for i,v in ipairs(b)do
		local img2 = bDef[i]
		v.btnId = img2.btnId
		v.buttons = {}
		for ind, val in ipairs(img2.buttons) do
			local tmpBtn = {}
			tmpBtn.x = val.x
			tmpBtn.y = val.y
			tmpBtn.caption = val.caption
			tmpBtn.type = val.type
			tinsert(v.buttons,tmpBtn)
		end
	end

end

function BT_ICC:CompareBosses(b1, b2)

	for i,v in ipairs(b1)do
		local img2 = b2[i]
		if(v.btnId ~= img2.btnId)then
			return false
		end
		for ind, val in ipairs(v.buttons) do
			if(val.x ~= img2.buttons[ind].x or val.type ~= img2.buttons[ind].type
			    or val.y ~= img2.buttons[ind].y or val.caption ~= img2.buttons[ind].caption)then
			    return false
			end
		end
	end
	return true
end;

----------------------------------------------------------
--place here the action button functions if you need them
----------------------------------------------------------




----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_ICC:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_ICC:OnEnable()
    -- Called when the addon is enabled
end

function BT_ICC:OnDisable()
    -- Called when the addon is disabled
end